Eclipse GEF 3.2

## org.eclipse.gef
Interface RequestConstants

All Known Implementing Classes:
  AbstractEditPart, AbstractEditPolicy, AbstractTool

public interface RequestConstants

The set of constants used to identify `Requests` by their `type`. Applications can extend this set of constants with their own.

Field Summary
`static String` `REQ_ADD` Constant used to indicate that a group of existing children are being added to the receiver of the Request.
`static String` `REQ_ALIGN` Constant used to indicate that alignment is being performed.
`static String` `REQ_ALIGN_CHILDREN` Constant used to indicate that a group of children are being aligned.
`static String` `REQ_CLONE` Indicates that the reciever of the request should be cloned.
`static String` `REQ_CONNECTION_END` Indicates the end of creation of a new connection.
`static String` `REQ_CONNECTION_START` Indicates the creation of a new connection.
`static String` `REQ_CREATE` Indicates that an object is to be created by the receiver of the Request.
`static String` `REQ_CREATE_BENDPOINT` Indicates that a bendpoint is being inserted by the User.
`static String` `REQ_DELETE` Constant used to indicate that the receiver of the Request is being deleted.
`static String` `REQ_DELETE_DEPENDANT` Constant used to indicate that a child of the receiver the Request is to be deleted.
`static String` `REQ_DIRECT_EDIT` Indicates that a direct edit should be performed.
`static String` `REQ_MOVE` Indicates that a part (or a group of parts) is being moved within its current parent.
`static String` `REQ_MOVE_BENDPOINT` Indicates that an existing bendpoint is being moved or dragged by the User.
`static String` `REQ_MOVE_CHILDREN` Indicates that a group of children are being moved.
`static String` `REQ_OPEN` Indicates that the user has double-clicked on the receiver.
`static String` `REQ_ORPHAN` Indicates that the receiver is being removed from its current parent, to be inserted into a new parent.
`static String` `REQ_ORPHAN_CHILDREN` Indicates that a group of children are being removed from the receiver of the Request.
`static String` `REQ_RECONNECT_SOURCE` Constant used to indicate that the source end of an existing connection is being reconnected to a new source node EditPart.
`static String` `REQ_RECONNECT_TARGET` Constant used to indicate that the target end of an existing connection is being reconnected to a new target node EditPart.
`static String` `REQ_RESIZE` Indicates that a part (or a group of parts) is being resized.
`static String` `REQ_RESIZE_CHILDREN` Indicates that a group of children are to be resized.
`static String` `REQ_SELECTION` Indicates selection Requests.
`static String` `REQ_SELECTION_HOVER` Indicates selection hover Requests.

Field Detail

### REQ_CONNECTION_START

    public static final String REQ_CONNECTION_START

  Indicates the creation of a new connection. Creating a connection involves both the source node and target node EditParts. This is the constant that is used with the first node on which the user clicks.

  See Also:
    Constant Field Values

### REQ_CONNECTION_END

    public static final String REQ_CONNECTION_END

  Indicates the end of creation of a new connection. Creating a connection involves both the source node and target node EditParts. This is the constant that is used with the second node on which the user clicks.

  See Also:
    Constant Field Values

### REQ_RECONNECT_SOURCE

    public static final String REQ_RECONNECT_SOURCE

  Constant used to indicate that the source end of an existing connection is being reconnected to a new source node EditPart. The new source node is the receiver of such Requests.

  See Also:
    Constant Field Values

### REQ_RECONNECT_TARGET

    public static final String REQ_RECONNECT_TARGET

  Constant used to indicate that the target end of an existing connection is being reconnected to a new target node EditPart. The new target node is the receiver of such Requests.

  See Also:
    Constant Field Values

### REQ_MOVE_BENDPOINT

    public static final String REQ_MOVE_BENDPOINT

  Indicates that an existing bendpoint is being moved or dragged by the User.

  See Also:
    Constant Field Values

### REQ_CREATE_BENDPOINT

    public static final String REQ_CREATE_BENDPOINT

  Indicates that a bendpoint is being inserted by the User.

  See Also:
    Constant Field Values

### REQ_RESIZE

    public static final String REQ_RESIZE

  Indicates that a part (or a group of parts) is being resized.

  See Also:
    Constant Field Values

### REQ_RESIZE_CHILDREN

    public static final String REQ_RESIZE_CHILDREN

  Indicates that a group of children are to be resized.

  See Also:
    Constant Field Values

### REQ_MOVE

    public static final String REQ_MOVE

  Indicates that a part (or a group of parts) is being moved within its current parent.

  See Also:
    Constant Field Values

### REQ_MOVE_CHILDREN

    public static final String REQ_MOVE_CHILDREN

  Indicates that a group of children are being moved.

  See Also:
    Constant Field Values

### REQ_OPEN

    public static final String REQ_OPEN

  Indicates that the user has double-clicked on the receiver. "Open" means different things for different applications. Sometimes it means open a popup dialog of properties, or the Workbench's properties view. Sometimes it means open a sub-diagram.

  See Also:
    Constant Field Values

### REQ_ORPHAN

    public static final String REQ_ORPHAN

  Indicates that the receiver is being removed from its current parent, to be inserted into a new parent.

  See Also:
    Constant Field Values

### REQ_ORPHAN_CHILDREN

    public static final String REQ_ORPHAN_CHILDREN

  Indicates that a group of children are being removed from the receiver of the Request.

  See Also:
    Constant Field Values

### REQ_CREATE

    public static final String REQ_CREATE

  Indicates that an object is to be created by the receiver of the Request.

  See Also:
    Constant Field Values

### REQ_ADD

    public static final String REQ_ADD

  Constant used to indicate that a group of existing children are being added to the receiver of the Request.

  See Also:
    Constant Field Values

### REQ_CLONE

    public static final String REQ_CLONE

  Indicates that the reciever of the request should be cloned.

  See Also:
    Constant Field Values

### REQ_DELETE

    public static final String REQ_DELETE

  Constant used to indicate that the receiver of the Request is being deleted.

  See Also:
    Constant Field Values

### REQ_DELETE_DEPENDANT

    public static final String REQ_DELETE_DEPENDANT

  Constant used to indicate that a child of the receiver the Request is to be deleted.

  See Also:
    Constant Field Values

### REQ_ALIGN

    public static final String REQ_ALIGN

  Constant used to indicate that alignment is being performed.

  See Also:
    Constant Field Values

### REQ_ALIGN_CHILDREN

    public static final String REQ_ALIGN_CHILDREN

  Constant used to indicate that a group of children are being aligned.

  See Also:
    Constant Field Values

### REQ_DIRECT_EDIT

    public static final String REQ_DIRECT_EDIT

  Indicates that a direct edit should be performed.

  See Also:
    Constant Field Values

### REQ_SELECTION

    public static final String REQ_SELECTION

  Indicates selection Requests.

  See Also:
    Constant Field Values

### REQ_SELECTION_HOVER

    public static final String REQ_SELECTION_HOVER

  Indicates selection hover Requests.

  See Also:
    Constant Field Values

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.